import request from '@/utils/request'

// 查询人员工作量记录列表
export function listCsWorkloadRecord(query) {
  return request({
    url: '/cs/csWorkloadRecord/list',
    method: 'get',
    params: query
  })
}

// 查询人员工作量记录详细
export function getCsWorkloadRecord(workloadRecordId) {
  return request({
    url: '/cs/csWorkloadRecord/' + workloadRecordId,
    method: 'get'
  })
}

// 新增人员工作量记录
export function addCsWorkloadRecord(data) {
  return request({
    url: '/cs/csWorkloadRecord',
    method: 'post',
    data: data
  })
}

// 修改人员工作量记录
export function updateCsWorkloadRecord(data) {
  return request({
    url: '/cs/csWorkloadRecord',
    method: 'put',
    data: data
  })
}

// 删除人员工作量记录
export function delCsWorkloadRecord(workloadRecordId) {
  return request({
    url: '/cs/csWorkloadRecord/' + workloadRecordId,
    method: 'delete'
  })
}
